Bug 1014312 - [xfs/xfstests 298] Inline symlink is not removed from inode
[xfs/xfstests 298] Inline symlink is not removed from inode
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.4
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Eric Sandeen
Filesystem QE
:
: 1088730 (view as bug list)
Depends On: 1014308
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 13:20 EDT by Boris Ranto
Modified: 2014-06-16 23:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1014308
Environment:
Last Closed: 2014-06-16 23:16:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Boris Ranto 2013-10-01 13:20:02 EDT
+++ This bug was initially created as a clone of Bug #1014308 +++

Description of problem:
Copied from the description of the test case:
inline symlinks are removed from the inode when an extended attributes forces it into being remote symlink. Warning: this test will ASSERT on unpatched DEBUG XFS.

Version-Release number of selected component (if applicable):
kernel-3.10.0-23.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run the xfstests test case xfs/298 for xfs fs
2. Check the output

Actual results:
For symlink size 128, the core.nextents is reported to be 1.

Expected results:
The core.nextents is 0.

Additional info:
This seems to have been fixed upstream by [v4] xfs: fix the symbolic link assert in xfs_ifree:
http://patchwork.xfs.org/patch/5614/
Comment 1 Boris Ranto 2013-10-01 13:32:35 EDT
This is also reproducible in RHEL 6 (kernel-2.6.32-419.el6).
Comment 2 RHEL Product and Program Management 2013-10-13 21:50:11 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Eryu Guan 2014-04-17 00:23:33 EDT
*** Bug 1088730 has been marked as a duplicate of this bug. ***
Comment 4 Eric Sandeen 2014-04-24 16:47:22 EDT
725eb1e xfs: fix the symbolic link assert in xfs_ifree
Comment 5 Eric Sandeen 2014-04-24 17:03:09 EDT
hm, possibly depending on

commit b373e98daa70d7ddb10f53f81e711c4d17651795
Author: Christoph Hellwig <hch@infradead.org>
Date:   Wed Jul 4 11:13:29 2012 -0400

    xfs: clean up xfs_inactive

Will have to decide how important this one really is.
Comment 6 Eric Sandeen 2014-06-16 23:16:35 EDT
I'm going to close this as WONTFIX for now; it's not a trivial upstream patch application and the bug, as far as we know, is only seen in the xfstest specifically designed to trigger it.

If we get a customer report of the problem, we can re-open & re-examine this bug.

Note You need to log in before you can comment on or make changes to this bug.